org.rrd4j.core

## Class RrdSafeFileBackend.Counters

- java.lang.Object
- - org.rrd4j.core.RrdSafeFileBackend.Counters

- Enclosing class:
    RrdSafeFileBackend

      static class RrdSafeFileBackend.Counters
      extends Object

  Internal counters for tracking file locking operations.

  This class maintains statistics about file locking operations including total locks, quick locks, unlocks, currently locked files, and errors. These counters are used for monitoring and debugging the file locking behavior.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) AtomicLong` | `errors`
    `(package private) AtomicLong` | `locked`
    `(package private) AtomicLong` | `locks`
    `(package private) AtomicLong` | `quickLocks`
    `(package private) AtomicLong` | `unlocks`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Counters()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) String` | `getInfo()` Gets formatted information about the counters.
    `(package private) void` | `registerDelayedLock()` Registers a delayed lock operation.
    `(package private) void` | `registerError()` Registers an error operation.
    `(package private) void` | `registerQuickLock()` Registers a quick lock operation.
    `(package private) void` | `registerUnlock()` Registers an unlock operation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### errors

          final AtomicLong errors

    - #### locked

          final AtomicLong locked

    - #### locks

          final AtomicLong locks

    - #### quickLocks

          final AtomicLong quickLocks

    - #### unlocks

          final AtomicLong unlocks

  - ### Constructor Detail

    - #### Counters

          Counters()

  - ### Method Detail

    - #### getInfo

          String getInfo()

      Gets formatted information about the counters.
      Returns:
        a formatted string with counter statistics

    - #### registerDelayedLock

          void registerDelayedLock()

      Registers a delayed lock operation.

    - #### registerError

          void registerError()

      Registers an error operation.

    - #### registerQuickLock

          void registerQuickLock()

      Registers a quick lock operation.

    - #### registerUnlock

          void registerUnlock()

      Registers an unlock operation.